library verilog;
use verilog.vl_types.all;
entity data_path is
    port(
        clk             : in     vl_logic;
        a               : in     vl_logic_vector(31 downto 0);
        b               : in     vl_logic_vector(31 downto 0);
        clr_flags       : in     vl_logic;
        ld_inputs       : in     vl_logic;
        ld_inflags1     : in     vl_logic;
        ld_inflags2     : in     vl_logic;
        ld_prod         : in     vl_logic;
        ld_res_nan      : in     vl_logic;
        ld_res_inf      : in     vl_logic;
        ld_res_zero     : in     vl_logic;
        norm_eap        : in     vl_logic;
        incr_eap        : in     vl_logic;
        calc_round      : in     vl_logic;
        calc_carry      : in     vl_logic;
        norm_map        : in     vl_logic;
        ld_prod_flags   : in     vl_logic;
        ld_prod_uflow   : in     vl_logic;
        ld_prod_oflow   : in     vl_logic;
        ld_res_reg      : in     vl_logic;
        p               : out    vl_logic_vector(31 downto 0);
        round           : out    vl_logic;
        uflow           : out    vl_logic;
        oflow           : out    vl_logic;
        carry           : out    vl_logic;
        map_bit23       : out    vl_logic;
        normal          : out    vl_logic;
        uo_flow         : out    vl_logic;
        nan             : out    vl_logic;
        inf             : out    vl_logic;
        zero            : out    vl_logic;
        p_uf            : out    vl_logic;
        p_of            : out    vl_logic;
        p_nanf          : out    vl_logic;
        p_inff          : out    vl_logic;
        p_dnf           : out    vl_logic;
        p_zf            : out    vl_logic
    );
end data_path;
